%define mod_name py2pack

Name:           python-%{mod_name}
Version:        0.5.0
Release:        %mkrel 3
Url:            http://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         https://pypi.python.org/packages/source/p/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(jinja2)
BuildRequires:  pythonegg(2)(lxml)
BuildRequires:  pythonegg(2)(cssselect)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(jinja2)
BuildRequires:  pythonegg(3)(lxml)
BuildRequires:  pythonegg(3)(cssselect)


%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and changelogs making it an
universal tool to package Python modules.

%package -n python3-%{mod_name}
Summary:        Generate distribution packages from Python packages on PyPI
Group:		Development/Python

%description -n python3-%{mod_name}
Generate distribution packages from Python packages on PyPI.
This is the Python3 module.


%prep
%setup -q -n %{mod_name}-%{version}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'
cp -a . %{py3dir} 
pushd %{py3dir} 
find -name '*.py' | xargs sed -i '1s|^#!%{__python2}|#!%{__python3}|'
popd

%build
%py2_build
pushd %{py3dir} 
%py3_build
popd

%install
pushd %{py3dir} 
%py3_install
popd

%py2_install
# The setup script installs stuff into '/usr/local', move stuff around accordingly
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{mod_name}.* %{buildroot}%{_mandir}/man1
chmod 0644 %{buildroot}%{_mandir}/man1/*
rm -rf %{buildroot}%{_defaultdocdir}
chmod 0755 %{buildroot}/%{_bindir}/* 

%check
#make test

%files
%doc AUTHORS LICENSE README.rst doc/py2pack.html
%{_mandir}/man1/*
%{_bindir}/%{mod_name}
%{python2_sitelib}/%{mod_name}*

%files -n python3-%{mod_name}
%doc AUTHORS LICENSE README.rst doc/py2pack.html
%{python3_sitelib}/%{mod_name}*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 971015
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.0-2.mga6
+ Revision: 888996
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 0.5.0-1.mga6
+ Revision: 881336
- update to 0.5.0, add python3

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-7.mga5
+ Revision: 745992
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.4-6.mga5
+ Revision: 729343
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 688230
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 543980
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.4-2.mga4
+ Revision: 499134
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 0.4.4-1.mga4
+ Revision: 471739
- update to 0.4.4

* Sun Jan 13 2013 umeabot <umeabot> 0.3.21-2.mga3
+ Revision: 379290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 0.3.21-1.mga2
+ Revision: 158295
- silent fix group
- New upstream 0.3.2.21

* Mon May 09 2011 saispo <saispo> 0.3.15-1.mga1
+ Revision: 96637
- imported package python-py2pack

